<h1>Tous les posts :</h1>
<?php
if ($admin==true){
    echo '<a class="button-newPost" href="index.php?action=add-billet">Nouveau Billet</a>';
}
$stmt=AfficheBillets();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
$admin=false;
    if ($_SESSION['id_utilisateur']==1){
        $admin = true;
    }
    
if (isset($return)){
    if ($return == 'billet-modified'){
        echo '<p style="color:green;">Le billet a bien été modifié</p>';
    }
    if ($return == 'billet-inserted'){
        echo '<p style="color:green;">Le billet a bien été créé</p>';
    }
    if ($return == 'billet-deleted'){
        echo '<p style="color:green;">Le billet a bien été supprimé </p>';
    }
}


foreach ($result as $billet){
    echo '<h2>'.$billet['titre'].'</h2>';
    $dateTime = new DateTime($billet['date_creation']);
    $date = $dateTime->format('d-m-Y H:i');
    echo '<p class="date-creation">Publié le '.$date.'<br> par <a class="lien-com" href="index.php?action=affiche-profil&id=1">Gaël Grandval</a></p>';
    echo '<p>'.$billet['contenu'].'</p> ';
    // echo 'img src="images/picture#'.$result['id_billet'].'"' alt="">';
    $nbCom = count(AfficheCommentaires($billet['id_billet'])->fetchAll(PDO::FETCH_ASSOC));
    if ($nbCom>1){
        echo '<a class="lien-com" href="index.php?action=commentaires&id_billet='.$billet['id_billet'].'"><ion-icon name="chatbox-outline"></ion-icon> Voir les '.$nbCom .' commentaires</a>';
    }elseif($nbCom==1){
        echo '<a class="lien-com" href="index.php?action=commentaires&id_billet='.$billet['id_billet'].'"><ion-icon name="chatbox-outline"></ion-icon> Voir le commentaire</a>';
    }
    else{
        echo '<a class="lien-com" href="index.php?action=commentaires&id_billet='.$billet['id_billet'].'"><ion-icon name="chatbox"></ion-icon> Écrivez le premier commentaire !</a>';
    }
    if ($admin==true){
        echo '<a href="index.php?action=delete-billet&id_billet='.$billet['id_billet'].'"style="color:red;"><ion-icon name="trash-outline"></ion-icon></a>';
        echo '<a href="index.php?action=update-billet&id_billet='.$billet['id_billet'].'"><ion-icon name="create-outline"></ion-icon></a>';
    }
    echo '<hr/ >';

}


?>